function QSF()
	QueueStatusFrame:ClearAllPoints()
	local placement,_,_,x,y = Minimap:GetPoint()
	local statusAnchor, mCorner
	local offsetx = 20
	local offsety = 20
	local TR,TL,BR,BL = "TOPRIGHT","TOPLEFT","BOTTOMRIGHT","BOTTOMLEFT"
	if placement == "TOPRIGHT" then
		statusAnchor = TR
		mCorner = BL
		offsetx = -offsetx
		offsety = -offsety
	elseif placement == "RIGHT" then
		offsetx = -offsetx
		if y < 0 then
			mCorner = TL
			statusAnchor = BR
		else
			mCorner = BL
			statusAnchor = TR
			offsety = -offsety
		end
	elseif placement == "BOTTOMRIGHT" then
		mCorner = TL
		statusAnchor = BR
		offsetx = -offsetx
	elseif placement == "TOPLEFT" then
		mCorner = BR
		statusAnchor = TL
		offsetx = offsetx
		offsety = -offsety
	elseif placement == "LEFT" then
		if y < 0 then
			mCorner = TR
			statusAnchor = BL	
		else
			mCorner = BR
			statusAnchor = TL
			offsety = -offsety
		end
	elseif placement == "BOTTOMLEFT" then
		mCorner = TR
		statusAnchor = BL	
	elseif placement == "TOP" then
		offsety = -offsety
		if x < 0 then
			mCorner = BR
			statusAnchor = TL
		else
			mCorner = BL
			statusAnchor = TR
			offsetx = -offsetx
		end
	elseif placement == "BOTTOM" then
		if x < 0 then
			mCorner = TR
			statusAnchor = BL
		else
			mCorner = TL
			statusAnchor = BR
			offsetx = -offsetx
		end
	elseif placement == "CENTER" then
		if x < 0 then
			if y < 0 then
				mCorner = TR
				statusAnchor = BL
			else
				mCorner = BR
				statusAnchor = TL
				offsety = -offsety
			end
		else
			offsetx = -offsetx
			if y < 0 then
				mCorner = TL
				statusAnchor = BR
			else
				mCorner = BL
				statusAnchor = TR
				offsety = -offsety
			end
		end
	end
	if statusAnchor and mCorner and offsetx and offsety then
		QueueStatusFrame:SetPoint(statusAnchor, Minimap, mCorner, offsetx, offsety)
	else
		QueueStatusFrame:SetPoint("CENTER", UIParent, "CENTER", 0, 0)
	end
end

local f = CreateFrame("Frame", "LFGToolTipFix")
f:RegisterEvent("PLAYER_ENTERING_WORLD")
f:SetScript("OnEvent", function(self,event,...)
	QueueStatusFrame:HookScript("OnShow",QSF)
end)
